summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-110
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 40dda31d0..30338157b 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -25,6 +25,16 @@ test -f $file || fail=1
# Make sure the dest file has been created.
test -f $dir/$file || fail=1
+# This test would fail with 3.16s when using versions of strip that
+# don't work on read-only files (the one from binutils works fine).
+$INSTALL -s -c -m 555 ../../src/dd $dir || fail=1
+# Make sure the dest file has been created.
+test -f $dir/dd || fail=1
+# ...and that it is readable and executable but not writable.
+test -r $dir/dd || fail=1
+test -x $dir/dd || fail=1
+test -w $dir/dd && fail=1
+
$RM -rf $dir $file
exit $fail